Retrieve an external iterator

- « IteratorAggregate

- InternalIterator »

- PHP Manual
- IteratorAggregate
- Retrieve an external iterator

# IteratorAggregate::getIterator

(PHP 5, PHP 7, PHP 8)

IteratorAggregate::getIterator — Retrieve an external iterator

### Description

public IteratorAggregate::getIterator(): Traversable

Returns an external iterator.

### Parameters

This function has no parameters.

### Return Values

An instance of an object implementing Iterator or Traversable

### Errors/Exceptions

Throws an Exception on failure.